## nodeenv 0.13.4

=== debian/changelog ===
nodeenv (0.13.4-1) unstable; urgency=medium

  * New upstream version
  * Fix dependencies if the user chooses not to install the recommends.
    (Closes: #795622)

 -- Chris Kuehl <ckuehl@ocf.berkeley.edu>  Mon, 31 Aug 2015 12:18:09 -0700
