## nodeenv 1.9.1

=== debian/changelog ===
nodeenv (1.9.1-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100246).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2025 10:40:33 +0000

nodeenv (1.9.1-2) unstable; urgency=medium

  * Team upload.
  * Aslo remove python3-pkg-resources from runtime dependencies

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 21:23:01 +0100

nodeenv (1.9.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.9.1 (Closes: #1085742, #1084588)
  * Load on Salsa
  * Use DebHelper 13
  * Set Rules-Requires-Root: no
  * Update build-depencies:
    - python3-pkg-resources (Closes: #1083508)
    - python3-pkginfo
    - python3-setuptools
    + pybuild-plugin-pyproject
    + python3-pytest

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Nov 2024 09:56:27 +0100

nodeenv (0.13.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace spurious python2.7 dependency with python3; Closes: #937150

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Mar 2020 22:05:05 -0400
