=== debian/control ===
Source: nodeenv
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Chris Kuehl <ckuehl@ocf.berkeley.edu>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/nodeenv.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nodeenv
Homepage: https://ekalinin.github.io/nodeenv/

Package: nodeenv
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 make,
 gcc (>= 4:4.9.1) | nodejs,
 g++ (>= 4:4.9.1) | nodejs,
 libssl-dev | nodejs,
 python3 | nodejs
Description: Node.js virtual environment builder
 Tool to create isolated node.js environments with their own installation
 directories that don't share libraries with other node.js virtual
 environments, similar to a Python virtualenv.
 .
 These environments can be integrated with ones created by Python's virtualenv.
